Apache Tomcat 6.0.53

## org.apache.jasper.runtime
Class JspFragmentHelper

    java.lang.Object
      javax.servlet.jsp.tagext.JspFragment
          org.apache.jasper.runtime.JspFragmentHelper

    public abstract class JspFragmentHelper

extends javax.servlet.jsp.tagext.JspFragment

Helper class from which all Jsp Fragment helper classes extend. This class allows for the emulation of numerous fragments within a single class, which in turn reduces the load on the class loader since there are potentially many JspFragments in a single page.

The class also provides various utility methods for JspFragment implementations.

Author:
  Mark Roth

Field Summary
`protected javax.servlet.jsp.PageContext` | `_jspx_page_context`
`protected int` | `discriminator`
`protected javax.servlet.jsp.JspContext` | `jspContext`
`protected javax.servlet.jsp.tagext.JspTag` | `parentTag`

Constructor Summary
`JspFragmentHelper(int discriminator, javax.servlet.jsp.JspContext jspContext, javax.servlet.jsp.tagext.JspTag parentTag)`

Method Summary
`javax.servlet.jsp.JspContext` | `getJspContext()` Returns the JspContext that is bound to this JspFragment.
`javax.servlet.jsp.tagext.JspTag` | `getParentTag()`

Methods inherited from class javax.servlet.jsp.tagext.JspFragment
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### discriminator

    protected int discriminator

### jspContext

    protected javax.servlet.jsp.JspContext jspContext

### _jspx_page_context

    protected javax.servlet.jsp.PageContext _jspx_page_context

### parentTag

    protected javax.servlet.jsp.tagext.JspTag parentTag

Constructor Detail

### JspFragmentHelper

    public JspFragmentHelper(int discriminator,
                             javax.servlet.jsp.JspContext jspContext,
                             javax.servlet.jsp.tagext.JspTag parentTag)

Method Detail

### getJspContext

    public javax.servlet.jsp.JspContext getJspContext()

  Description copied from class: `javax.servlet.jsp.tagext.JspFragment`
  Returns the JspContext that is bound to this JspFragment.

  Specified by:
    `getJspContext` in class `javax.servlet.jsp.tagext.JspFragment`
  Returns:
    The JspContext used by this fragment at invocation time.

### getParentTag

    public javax.servlet.jsp.tagext.JspTag getParentTag()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.